﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO.Ports;

namespace RS232_Test
{
    public partial class Form1 : Form
    {
        //Rs232-Port
        string port;
        //Baudrate
        int baudrate;
        //Übertragungsbits
        int uebertragungsbits;
     
       

        public Form1()
        {
            InitializeComponent();
            string[] portnamen = SerialPort.GetPortNames(); //SerialPort.GetPortnames gibt ein string-Array zurück
            for (int i = 0; i < portnamen.Length; i++)
            {
                dudPorts.Items.Add(portnamen[i]);
            }
            baudrate = 9600;
            uebertragungsbits = 8;
            tbxBaudrate.Text = Convert.ToString(baudrate);
            tbxBaudrate.ReadOnly = true;
            tbxParität.Text = "Keine Paritätskontrolle";
            tbxParität.ReadOnly = true;
            tbxStoppbits.Text = Convert.ToString(1);
            tbxStoppbits.ReadOnly = true;
            tbxUebertragungsbits.Text = Convert.ToString(uebertragungsbits);
            tbxUebertragungsbits.ReadOnly = true;
            

        }

     

        private void btnSenden_Click(object sender, EventArgs e)
        {
            bool ok = false;
            ok = VerbindungPrüfen();
            if (ok)
            {
                
                rs232.Write(Convert.ToString(nudEinAus.Value));
            }
           
            
        }


        private bool VerbindungPrüfen()
        {

            bool bOk = false;
            port = dudPorts.SelectedItem.ToString();

            rs232 = new SerialPort(
                            port,
                            9600,
                            Parity.None,
                            8,
                            StopBits.One);
            try
            {
                bOk = true;
                rs232.Open();
            }
            catch (Exception ex)
            {
                bOk = false;
                MessageBox.Show(ex.Message);
            }

            return (bOk);
        }


    }
}
